import bb.cascades 1.0
//! [0]
NavigationPane {
    backButtonsVisible: false
    peekEnabled: false
    Page {

        titleBar: TitleBar {
            id: addBar
            title: qsTr("Time Stamp")
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
//                    _app.cardDone(qsTr("cancel"));
//                    _app.cardDone(qsTr("done"))
                    _app.cancelStamp()
                }
            }

            acceptAction: ActionItem {
                title: "Stamp"
                onTriggered: {
  //                  _app.cardDone(qsTr("stamp"));
                    myIndicator.setVisible(true);
                    _app.saveStamp()
                }
            }
        } // titleBar

        Container {
            layout: DockLayout {
            }

			Container
			{
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Center
	            ImageView {
	                imageSource: _app.uri
	                scalingMethod: ScalingMethod.AspectFit
	            }
	        }
	
			Label {
       			text: "Orientation will be corrected when stamped."
                textStyle.color: Color.White
                multiline: true
                verticalAlignment: VerticalAlignment.Bottom
                textStyle.fontSize: FontSize.Small
                horizontalAlignment: HorizontalAlignment.Center
            }
	
            // show the activity indication center of the screen
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center

                layout: DockLayout {
                }

                ActivityIndicator {
                    id: myIndicator
                    objectName: "activityIndicator"
                    preferredWidth: 200
                    preferredHeight: 200
                    running: false
                    visible: false
                    //                horizontalAlignment: HorizontalAlignment.Center
                    //                verticalAlignment: VerticalAlignment.Center
                }
            }
	        

        }
        
        
        
    }
}
//! [0]
