import bb.cascades 1.0
//! [0]

Sheet {
    peekEnabled: false
    Page {
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Email Picture")
            visibility: ChromeVisibility.Visible
/*            
            dismissAction: ActionItem {
                title: "Cancel"
                onTriggered: {
                    _app.oneShotCancel()
                }
            }
            
            acceptAction: ActionItem {
                title: "Send"
                onTriggered: {
                    _app.oneShotSend()
                }
            }
  */
        } // titleBar
        
        actions: [
            
            ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _app.oneShotCancel()
                }
            },
            
            ActionItem {
              title: qsTr("Send") + Retranslate.onLanguageChanged	            
              ActionBar.placement: ActionBarPlacement.Signature
                imageSource: "asset:///images/ic_email.png"
              onTriggered: {
                  _app.oneShotSend()
              }
            },
            
            ActionItem {
                title: qsTr("View") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_view.png"
                onTriggered: {
                    _app.oneShotView()
                }
            }

            
        ]

        
        Container {
            layout: DockLayout {
            }
            
            ScrollView {
                
                Container
                {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    Container {
                        leftPadding: 10
                        rightPadding: 10
                        TextField {
                            objectName: "tf_subject"
                            hintText: qsTr("Enter a subject")   
                        
                        }
                        TextArea {
                            objectName: "tf_message"
                            hintText: qsTr("Enter a message")    
                        }
                    }
                    Divider {
                    
                    }

                    ImageView {
                        objectName: "img_oneshot"
                        scalingMethod: ScalingMethod.AspectFit
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                    }

    
                }
            }
       
        }
    
    
    
    }
}
//! [0]
